### Signal

# Gtk PrintOperation::begin-print

#### Declaration

    void
    begin_print (
      GtkPrintOperation* self,
      GtkPrintContext* context,
      gpointer user_data
    )

#### Description [src]

Emitted after the user has finished changing print settings in the dialog, before the actual rendering starts.

A typical use for ::begin-print is to use the parameters from the `GtkPrintContext` and paginate the document accordingly, and then set the number of pages with `gtk_print_operation_set_n_pages()`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`context`

  Type: `GtkPrintContext`

  The `GtkPrintContext` for the current operation.

  The data is owned by the caller of the function.